DROP TABLE IF EXISTS "sleep";
CREATE TABLE sleep (_id INTEGER PRIMARY KEY, sleep_uuid TEXT, user_api_key TEXT, inprogress_flag INTEGER, update_flag INTEGER, delete_flag INTEGER, client_version TEXT, client_version_int INTEGER, timezone TEXT, crunch_version INTEGER, crunch_start_utc_milli REAL, crunch_end_utc_milli REAL, crunch_ended_by TEXT, crunch_duration_milli REAL, crunch_lux_avg REAL, crunch_celcius_avg REAL, crunch_score INTEGER, crunch_rem_count INTEGER, crunch_rem_length_milli REAL, crunch_calibration TEXT, longitude REAL, latitude REAL, manufacturer TEXT, brand TEXT, model TEXT, product TEXT);
DROP TABLE IF EXISTS "sleep_event";
CREATE TABLE sleep_event (_id INTEGER PRIMARY KEY, sleep_uuid TEXT, order_id INTEGER, start_offset_milli REAL, duration_milli REAL, event_type_token TEXT, event_value REAL, event_units TEXT);
DROP TABLE IF EXISTS "sleep_rem";
CREATE TABLE sleep_rem (_id INTEGER PRIMARY KEY, sleep_uuid TEXT, order_id INTEGER, sleep_stage_token TEXT, stage_duration REAL);
DROP TABLE IF EXISTS "sleep_survey";
CREATE TABLE sleep_survey (_id INTEGER PRIMARY KEY, sleep_uuid TEXT, order_id INTEGER, question_token TEXT, question_answer TEXT, created_utc_milli REAL);